%global __brp_check_rpaths %{nil}
%global packname  semgram
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Extracting Semantic Motifs from Textual Data

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.3
Requires:         R-core >= 3.5.3
BuildArch:        noarch
BuildRequires:    R-CRAN-rsyntax >= 0.1.2
BuildRequires:    R-CRAN-data.table 
BuildRequires:    R-CRAN-stringr 
Requires:         R-CRAN-rsyntax >= 0.1.2
Requires:         R-CRAN-data.table 
Requires:         R-CRAN-stringr 

%description
A framework for extracting semantic motifs around entities in textual
data. It implements an entity-centered semantic grammar that distinguishes
six classes of motifs: actions of an entity, treatments of an entity,
agents acting upon an entity, patients acted upon by an entity,
characterizations of an entity, and possessions of an entity. Motifs are
identified by applying a set of extraction rules to a parsed text object
that includes part-of-speech tags and dependency annotations - such as
those generated by 'spacyr'. For further reference, see: Stuhler (2022)
<doi: 10.1177/00491241221099551>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
